Mailinglist Archive: opensuse-factory (188 mails)

< Previous Next >
Re: [opensuse-factory] clementine-1.3.1-8.1 package broken on latest tumbleweed
On Wed, Dec 5, 2018 at 8:11 PM Greg Mohney <mercster@xxxxxxxxx> wrote:

On Wed, Dec 5, 2018 at 8:00 PM Christophe Giboudeaux <christophe@xxxxxxx>
wrote:

Hi,

On jeudi 6 d├ęcembre 2018 01:52:32 CET Greg Mohney wrote:
Hi,

New user to opensuse and tumbleweed here. Running the latest snapshot
20181204, it appears a dependency for clementine-1.3.1-8.1 has been
broken:

merc@linux-fi5j:~> sudo zypper install clementine
Loading repository data...
Reading installed packages...
Resolving package dependencies...

Problem: nothing provides libcryptopp.so.5.6.5()(64bit) needed by
clementine-1.3.1-8.1.x86_64

This issue will be fixed *soon*
https://build.opensuse.org/request/show/655302


Should have searched, ta!


Possibly related, spotify-installer package seems to take a .deb and
build an RPM,
this also fails with a libgcrypt problem:

Installing Spotify from the rpm we just built ...
Loading repository data...
Reading installed packages...
Resolving package dependencies...

Problem: nothing provides libgcrypt.so.11()(64bit) needed by
spotify-client-0.9.17.8.gd06432d.31-1.x86_64
Solution 1: do not install spotify-client-0.9.17.8.gd06432d.31-1.x86_64
Solution 2: break spotify-client-0.9.17.8.gd06432d.31-1.x86_64 by
ignoring some of its dependencies

[...]

merc@linux-fi5j:~> spotify
./spotify: error while loading shared libraries: libgcrypt.so.11:
cannot open shared object file: No such file or directory

Tumbleweed provides libgcrypt20. No idea on the relation of libcrypt
and libgcrypt, but looks suspicious.

(spotify-installer also fails to get the RPM signed and error needs to
be (i)gnored for zypper, but that's a separate issue.)

Thanks, Merc
--
Merc
mercster@xxxxxxxxx
Yeah.
--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >